#### D.5.15.11 Delta

Procedure from library `resolve.lib` (see resolve_lib).

Usage:
  Delta (BO);
  BO = basic object, a list: ideal W,
  ideal J,
  intvec b,
  list Ex,
  ideal ab,
  intvec v,
  intvec w,
  matrix M

Assume:
  R = basering, a polynomial ring, W an ideal of R,
  J = ideal containing W

Compute:
  Delta-operator applied to J in the notation of
  [Bravo,Encinas,Villamayor]

Return:
  ideal

Example:

    LIB "resolve.lib";
    ring R=0,(x,y,z),dp;
    ideal W=z^2-x;
    ideal J=x*y^2+x^3;
    intvec b=1;
    list E;
    ideal abb=maxideal(1);
    intvec v;
    intvec w=-1;
    matrix M;
    list BO=W,J,b,E,abb,v,w,M;
    Delta(BO);
    ==> _[1]=z2-x
    ==> _[2]=xy
    ==> _[3]=3x2z+y2z
    ==> _[4]=x3

User manual for Singular version 4.4.1, 2025, generated by texi2html.